Echoer (BioJava Demos API)
Keywords: ssbind.Echoer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ssbind
Class Echoer

    java.lang.Object
      ssbind.Echoer

All Implemented Interfaces:
  org.biojava.bio.search.SearchContentHandler

    public class Echoer

extends Object
implements org.biojava.bio.search.SearchContentHandler

Echo the event stream to stdout with prety indenting.

This class is most useful to check that your parsing is working. You can use an Echoer as the last handler in a chain of filters, or attach it directly to the parser. It is an instructive way to work out what events are being fired when, and with what properties attached.

Author:
  Matthew Pocock

Constructor Summary
`Echoer()`

Method Summary
`void` | `addHitProperty(Object key, Object value)`
`void` | `addSearchProperty(Object key, Object value)`
`void` | `addSubHitProperty(Object key, Object value)`
`void` | `endHeader()`
`void` | `endHit()`
`void` | `endSearch()`
`void` | `endSubHit()`
`boolean` | `getMoreSearches()`
`String` | `getPrefix()`
`void` | `indent()`
`void` | `outdent()`
`void` | `setDatabaseID(String databaseID)`
`void` | `setMoreSearches(boolean val)`
`void` | `setQueryID(String queryID)`
`void` | `setQuerySeq(String seqID)`
`void` | `setSubjectDB(String dbID)`
`void` | `startHeader()`
`void` | `startHit()`
`void` | `startSearch()`
`void` | `startSubHit()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Echoer

    public Echoer()

Method Detail

### indent

    public void indent()

### outdent

    public void outdent()

### getPrefix

    public String getPrefix()

### addHitProperty

    public void addHitProperty(Object key,
                               Object value)

  Specified by:
    `addHitProperty` in interface `org.biojava.bio.search.SearchContentHandler`

### addSearchProperty

    public void addSearchProperty(Object key,
                                  Object value)

  Specified by:
    `addSearchProperty` in interface `org.biojava.bio.search.SearchContentHandler`

### addSubHitProperty

    public void addSubHitProperty(Object key,
                                  Object value)

  Specified by:
    `addSubHitProperty` in interface `org.biojava.bio.search.SearchContentHandler`

### startHeader

    public void startHeader()

  Specified by:
    `startHeader` in interface `org.biojava.bio.search.SearchContentHandler`

### endHeader

    public void endHeader()

  Specified by:
    `endHeader` in interface `org.biojava.bio.search.SearchContentHandler`

### startHit

    public void startHit()

  Specified by:
    `startHit` in interface `org.biojava.bio.search.SearchContentHandler`

### endHit

    public void endHit()

  Specified by:
    `endHit` in interface `org.biojava.bio.search.SearchContentHandler`

### startSearch

    public void startSearch()

  Specified by:
    `startSearch` in interface `org.biojava.bio.search.SearchContentHandler`

### endSearch

    public void endSearch()

  Specified by:
    `endSearch` in interface `org.biojava.bio.search.SearchContentHandler`

### startSubHit

    public void startSubHit()

  Specified by:
    `startSubHit` in interface `org.biojava.bio.search.SearchContentHandler`

### endSubHit

    public void endSubHit()

  Specified by:
    `endSubHit` in interface `org.biojava.bio.search.SearchContentHandler`

### getMoreSearches

    public boolean getMoreSearches()

  Specified by:
    `getMoreSearches` in interface `org.biojava.bio.search.SearchContentHandler`

### setMoreSearches

    public void setMoreSearches(boolean val)

  Specified by:
    `setMoreSearches` in interface `org.biojava.bio.search.SearchContentHandler`

### setQuerySeq

    public void setQuerySeq(String seqID)

### setSubjectDB

    public void setSubjectDB(String dbID)

### setQueryID

    public void setQueryID(String queryID)

  Specified by:
    `setQueryID` in interface `org.biojava.bio.search.SearchContentHandler`

### setDatabaseID

    public void setDatabaseID(String databaseID)

  Specified by:
    `setDatabaseID` in interface `org.biojava.bio.search.SearchContentHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD